package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 学生课程作业
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("student_course_homework")
public class StudentCourseHomework extends Model<StudentCourseHomework> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    @TableField("course_homework_id_")
    private Long courseHomeworkId;
    /**
     * 作品附件
     */
    @TableField("attachments_")
    private String attachments;
    /**
     * 评分
     */
    @TableField("score_")
    private Integer score;
    @TableField("create_time_")
    private Date createTime;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("user_id_")
    private Integer userId;
    /**
     * 备注
     */
    @TableField("remark_")
    private String remark;
    /**
     * 提交状态
     */
    @TableField("status_")
    private String status;
    /**
     * 是否回复
     */
    @TableField("is_replied_")
    private String isReplied;


    /**  */
    @TableField("course_schedule_id_")
    private Long courseScheduleId;

    public Long getId() {
        return id;
    }

    public StudentCourseHomework setId(Long id) {
        this.id = id;
        return this;
    }

    public Long getCourseHomeworkId() {
        return courseHomeworkId;
    }

    public StudentCourseHomework setCourseHomeworkId(Long courseHomeworkId) {
        this.courseHomeworkId = courseHomeworkId;
        return this;
    }

    public String getAttachments() {
        return attachments;
    }

    public StudentCourseHomework setAttachments(String attachments) {
        this.attachments = attachments;
        return this;
    }

    public Integer getScore() {
        return score;
    }

    public StudentCourseHomework setScore(Integer score) {
        this.score = score;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public StudentCourseHomework setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public StudentCourseHomework setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Integer getUserId() {
        return userId;
    }

    public StudentCourseHomework setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public String getRemark() {
        return remark;
    }

    public StudentCourseHomework setRemark(String remark) {
        this.remark = remark;
        return this;
    }

    public String getStatus() {
        return status;
    }

    public StudentCourseHomework setStatus(String status) {
        this.status = status;
        return this;
    }

    public String getIsReplied() {
        return isReplied;
    }

    public StudentCourseHomework setIsReplied(String isReplied) {
        this.isReplied = isReplied;
        return this;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StudentCourseHomework{" +
        ", id=" + id +
        ", courseHomeworkId=" + courseHomeworkId +
        ", attachments=" + attachments +
        ", score=" + score +
        ", createTime=" + createTime +
        ", updateTime=" + updateTime +
        ", userId=" + userId +
        ", remark=" + remark +
        ", status=" + status +
        ", isReplied=" + isReplied +
        "}";
    }
}
